Bug 650882 - perl(ExtUtils::ParseXS) must provide 4 digit long version since 2.2002
Summary: perl(ExtUtils::ParseXS) must provide 4 digit long version since 2.2002
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl
Version: 14
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-08 09:19 UTC by Petr Pisar
Modified: 2010-11-22 22:19 UTC (History)
9 users (show)

Fixed In Version: perl-Class-ISA-0.36-1003.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-22 22:19:07 UTC
Type: ---


Attachments (Terms of Use)

Description Petr Pisar 2010-11-08 09:19:47 UTC
Fedora 13 provided version 2.2002:

$ repoquery --repoid dist-f13 --provides perl-ExtUtils-ParseXS
perl(ExtUtils::ParseXS) = 2.2002
perl-ExtUtils-ParseXS = 1:2.20-120.fc13
perl-ExtUtils-ParseXS(x86-64) = 1:2.20-120.fc13

Fedora 14 provides version 2.21 only:

$ repoquery --repoid dist-f14 --provides perl-ExtUtils-ParseXS
perl(ExtUtils::ParseXS) = 2.21
perl-ExtUtils-ParseXS = 1:2.21-136.fc14

This breaks upgrade policy (explicit dependency namely) as described in comment 6 of bug #637491.

The binary package version and provides must be augmented to 4-digit precision. See <http://search.cpan.org/~dagolden/ExtUtils-ParseXS/> and <https://fedoraproject.org/wiki/Perl/Tips#Rounding_approach>.

Comment 1 Fedora Update System 2010-11-08 14:24:42 UTC
perl-5.12.2-137.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-5.12.2-137.fc14

Comment 2 Fedora Update System 2010-11-08 16:21:19 UTC
perl-5.12.2-138.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-5.12.2-138.fc14

Comment 3 Fedora Update System 2010-11-08 22:47:02 UTC
perl-5.12.2-138.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/perl-5.12.2-138.fc14

Comment 4 Fedora Update System 2010-11-09 13:37:41 UTC
perl-Class-ISA-0.36-1003.fc14,perl-5.12.2-139.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Class-ISA-0.36-1003.fc14,perl-5.12.2-139.fc14

Comment 5 Fedora Update System 2010-11-22 22:18:52 UTC
perl-Class-ISA-0.36-1003.fc14, perl-5.12.2-139.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.